{% extends "parent_template.html" %} {% block content %} {% if message %}
<p>MESSAGE RECEIVED</p>
{{ message }}
{% else %}
<form id="contact_form" action="/contact" method="POST">
  <h2>SEND MESSAGE</h2>
  <p>
    If you would like to tell me how AMAZING this web app is, please send a
    message!
  </p>
  <p>Messages will be filtered for positive comments only.</p>
  <br />
  <p>{{ form.hidden_tag() }}</p>
  <p>
    {{ form.first_name.label }}<br />
    {{ form.first_name(size=32) }}
  </p>
  <p>
    {{ form.surname.label }}<br />
    {{ form.surname(size=32) }}
  </p>
  <p>
    {{ form.message_box.label }}<br />
    {{ form.message_box(size=100) }}
  </p>
  <p>{{ form.submit() }}</p>
</form>
{% endif %} {% endblock %}
